/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */

body 
{
  background-color: #070d1f;
  color: White;
  font-family: "Didact Gothic", sans-serif;
  font-weight: 400;
  font-style: normal;
  margin: 0;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}

/* Index stuff below*/
.center-text-fill
{
  overflow: hidden;
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 3.5rem;
  
  background: radial-gradient(
    circle at center,
    #58a59b 5%,
    #000000 85%
  );
}
.scramble-text 
{
  max-width: 800px;
  width: 100%;
  max-height: 800px;
  min-height: 120px;
  height: 100%;
  color: #cbf9f9;
  text-align: center;
  padding: 1rem;
  font-family: monospace;
  font-size: 1.5rem;
  letter-spacing: 1px;
  cursor: pointer;
  user-select: none;
  transition: color 0.4s;
}
.scramble-text.hidden 
{
  display: none;
  pointer-events: none;
  min-height: 120px;
  width: 0px ;
  max-width: 0px ;
}
.scramble-text.visible 
{
  display: block;
  min-height: 120px;
}
.scramble-text.revealed 
{
  max-width: 800px;
  width: 100%;
  max-height: 800px;
  min-height: 120px;
  height: 100%;
  color: #cbf9f9;
  font-family: monospace;
  letter-spacing: normal;
  text-align: center;
  font-size: 1.5rem;
}

/* Home page stuff below*/
.home-container
{
  position: relative;
  height: 100vh;
  width: 100%;
}
.home-left-container
{
  position: absolute;
  width: 50%;
  height: 100%;

  left: 0;
  top: 0;
}
.home-right-container
{
  position: fixed;
  width: 50%;
  height: 100%;

  right: 0;
  top: 0;
}
.home-title
{
  font-family: monospace;
  letter-spacing: normal;
  color: #cbf9f9;
  text-align: center;
  font-size: 2.5rem;
  max-width: 800px;
  width: 100%;
  padding: 40px;
}

.welcome-text
{
  font-family: monospace;
  letter-spacing: normal;
  color: #cbf9f9;
  text-align: center;
  font-size: 1.25rem;
  max-width: 800px;
  width: 100%;
  padding: 40px;
}
.chat-wall
{
  position: relative;
  width: 100%;
}
.chat-box
{
  position: absolute;
  width: 100%;

}



/* Shiplog stuff below*/
.title 
{
  position: relative;
  background-color: black;
  width: 100%;
  height: auto;
  text-align: center;
}   
.badge 
{
  position: absolute;
  top: 0;
  left: 0;
  width: 100px;
  height: 100px;
  padding: 10px;
}
.underconstruction 
{
  position: absolute;
  top: 0;
  right: 0;
  width: 250px;
  height: 250px;
  max-width: 250px;
  max-height: 250px;
  padding: 10px;
  z-index:1000;
}
.log 
{
  flex: 1 1 auto;
  position: relative;
  overflow: auto;
  min-height: 200px;
  
  
  padding: 10px;
  outline: 3px solid #294189;
  outline-offset: -15px;
  border-radius: 12px;

}
.log-text 
{
  position: relative;
  bottom: 0;
  left: 0;
  right: 0;
  height: 200px;
  width: 100%;
  background-color: black;
  z-index: 1000;
}
.loglibrary 
{
  flex: 1 1 auto;
  position: relative;
  overflow-y:auto ;
  min-height: 200px;
  
  padding: 10px;
  outline: 3px solid #294189;
  outline-offset: -15px;
  border-radius: 12px;
}
.logentry 
{
  position: absolute;
  background-color: #717171;
  top: 0;
  left: 0;
  width: 150px;
  height: 200px;
  padding: 10px;
  
  transition: all 0.3s ease;
  box-shadow: 0 4px 12px rgba(0,0,0,0.4);
}
.logentry-text 
{
  text-align: center;
  color: black;
  font-size: 1.25rem;
}
.logentry-img 
{
  position: absolute;
  bottom: 4px;
  left: 4px;
  right: 0;
  width: 95%;
  height: 160px;
}
.base 
{
  position: relative;
  bottom: 0;
  left: 0;
  right: 0;
  height: 20%;
  max-height: 100px;
  width: 100%;
  background-color: black;
  z-index: 1000;
}